use lib::{client::Client, message::{Message, MessageKind}, message_read::MessageReader, player::Player};
use crossterm::{
    execute,
    terminal::{
        Clear,
        ClearType,
        enable_raw_mode,
        disable_raw_mode
    },
    event::Event,
};

#[tokio::main]
pub async fn main() -> anyhow::Result<()> {
    // let mut client = Client::connect("127.0.0.1", 8080).await?;
    // let local_address = client.stream.local_addr()?;

    // enable_raw_mode()?;
    // execute!(
    //     std::io::stdout(),
    //     Clear(ClearType::All),
    // )?;

    let addr = "http://127.0.0.1:8080";

    let client = reqwest::Client::new();

    let player = Player::new()?;
    let message = Message::new(&player.get_name(), MessageKind::Test, player.encode()?)?;

    let response = client
        .post([&addr, "/create/player"].concat())
        .header("Content-Type", "application/json")
        .body(message.encode()?)
        .send().await?
        .text().await?;
    
    println!("{}", response);

    Ok(())
}
